/// <reference types="react" />
import { Locale } from "date-fns";
import { Options } from "./types";
export interface UseDateSelectOptions {
    firstYear?: number;
    lastYear?: number;
    defaultYear?: number | "now";
    defaultMonth?: number | "now";
    defaultDay?: number | "now";
    locale?: Locale;
    yearFormat?: string;
    monthFormat?: string;
    dayFormat?: string;
}
export interface UseDateSelectInterface {
    yearValue: string;
    monthValue: string;
    dayValue: string;
    yearOptions: Options;
    monthOptions: Options;
    dayOptions: Options;
    onYearChange: (e: React.ChangeEvent<HTMLSelectElement> | string) => void;
    onMonthChange: (e: React.ChangeEvent<HTMLSelectElement> | string) => void;
    onDayChange: (e: React.ChangeEvent<HTMLSelectElement> | string) => void;
    dateValue: string | null;
    onDateChange: (e: React.ChangeEvent<HTMLInputElement> | string) => void;
    setDate: (dateString: string) => void;
}
export declare const useDateSelect: (value: string, onChange: (dateString: string) => void, opts?: UseDateSelectOptions) => UseDateSelectInterface;
